create_point#

Modeler2D.create_point(position, name=None, color='(143 175 143)')[source]#

Create a point.

Parameters:
positionlist

List of [x, y, z] coordinates. Note, The list can be empty or contain less than 3 elements.

namestr, optional

Name of the point. The default is None, in which case the default name is assigned.

colorstr, optional

String exposing 3 int values such as “(value1 value2 value3)”. Default value is "(143 175 143)".

Returns:
pyaedt.modeler.elements3d.Point

Point object.

References

>>> oEditor.CreateBox

Examples

>>> from pyaedt import hfss
>>> hfss = Hfss()
>>> point_object = hfss.modeler.primivites.create_point([0,0,0], name="mypoint")